gst-compprep(1)

NAME
gst-compprep - create the registry for gst-complete

SYNOPSIS
gst-compprep

DESCRIPTION

gst-compprep is a utility to build the registry of gstreamer elements and their features to enable context sensitive tab completion for gst-launch command-lines to be performed by gst-complete.

By default, the registry is stored in /etc/gstreamer/compreg.xml

USAGE
Whenever the available gstreamer plugins are modified, generate the registry of available plugins by running gst-compprep.

FILES

/etc/gstreamer/compreg.xml
    Registry generated by gst-compprep and used by gst-complete.

SEE ALSO
gst-complete(1), gst-launch(1), gst-register(1), gst-inspect(1),

AUTHOR
The GStreamer team at http://gstreamer.net/